Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1828)

Unified Diff: mojo/public/dart/third_party/shelf/tool/travis.sh

Issue 1346773002: Stop running pub get at gclient sync time and fix build bugs (Closed) Base URL: git@github.com:domokit/mojo.git@master
Patch Set: Created 5 years, 3 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: mojo/public/dart/third_party/shelf/tool/travis.sh
diff --git a/mojo/public/dart/third_party/shelf/tool/travis.sh b/mojo/public/dart/third_party/shelf/tool/travis.sh
new file mode 100755
index 0000000000000000000000000000000000000000..6b49862470023410ee494c04f53a3de1d5b5818a
--- /dev/null
+++ b/mojo/public/dart/third_party/shelf/tool/travis.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+# Fast fail the script on failures.
+set -e
+
+pub run test
+
+# Install dart_coveralls; gather and send coverage data.
+if [ "$COVERALLS_TOKEN" ] && [ "$TRAVIS_DART_VERSION" = "stable" ]; then
+ pub global activate dart_coveralls
+
+ pub global run dart_coveralls report \
+ --exclude-test-files \
+ test/test_all.dart
+fi
« no previous file with comments | « mojo/public/dart/third_party/shelf/test/test_util.dart ('k') | mojo/public/dart/third_party/shelf_static/.gitignore » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698